package util.sqlparse.visitor.hive.visitor;

import com.chenyang.druid.sql.ast.SQLStatement;
import com.chenyang.druid.sql.dialect.hive.ast.HiveGrantPrinciple;
import com.chenyang.druid.sql.dialect.hive.ast.HiveInsert;
import com.chenyang.druid.sql.dialect.hive.ast.HiveMultiInsertStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveAlterDatabaseStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveCreateFunctionStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveInsertStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveLoadDataStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveMsckRepairStatement;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveSelectQueryBlock;
import com.chenyang.druid.sql.dialect.hive.ast.stmt.HiveShowStatement;
import com.chenyang.druid.sql.dialect.hive.visitor.HiveASTVisitor;
import java.util.List;
import util.sqlparse.visitor.Formater;

public class FormatVisitor extends Formater implements HiveASTVisitor {
   private boolean debug = false;

   public void perform(List<SQLStatement> statements) {
      if (statements != null && statements.size() != 0) {
         for(SQLStatement statement : statements) {
            statement.accept(this);
         }

      }
   }

   public boolean visit(HiveInsert x) {
      return false;
   }

   public void endVisit(HiveInsert x) {
   }

   public boolean visit(HiveMultiInsertStatement x) {
      return false;
   }

   public void endVisit(HiveMultiInsertStatement x) {
   }

   public boolean visit(HiveInsertStatement x) {
      return false;
   }

   public void endVisit(HiveInsertStatement x) {
   }

   public boolean visit(HiveCreateFunctionStatement x) {
      return false;
   }

   public void endVisit(HiveCreateFunctionStatement x) {
   }

   public boolean visit(HiveLoadDataStatement x) {
      return false;
   }

   public void endVisit(HiveLoadDataStatement x) {
   }

   public boolean visit(HiveMsckRepairStatement x) {
      return false;
   }

   public void endVisit(HiveMsckRepairStatement x) {
   }

   public boolean visit(HiveGrantPrinciple x) {
      return false;
   }

   public void endVisit(HiveGrantPrinciple x) {
   }

   public boolean visit(HiveShowStatement x) {
      return false;
   }

   public void endVisit(HiveShowStatement x) {
   }

   public boolean visit(HiveAlterDatabaseStatement x) {
      return false;
   }

   public void endVisit(HiveAlterDatabaseStatement x) {
   }

   public boolean visit(HiveSelectQueryBlock x) {
      return false;
   }

   public void endVisit(HiveSelectQueryBlock x) {
   }
}
